com.hazelcast.util.executor

## Class PoolExecutorThreadFactory

- java.lang.Object
- - com.hazelcast.util.executor.AbstractExecutorThreadFactory
  - - com.hazelcast.util.executor.PoolExecutorThreadFactory

- All Implemented Interfaces:
    ThreadFactory

      public class PoolExecutorThreadFactory
      extends AbstractExecutorThreadFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `PoolExecutorThreadFactory.ManagedThread`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.util.executor.AbstractExecutorThreadFactory

      `classLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolExecutorThreadFactory(String threadNamePrefix, ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Thread` | `createThread(Runnable r)`
    `protected PoolExecutorThreadFactory.ManagedThread` | `createThread(Runnable r, String name, int id)`

    - ### Methods inherited from class com.hazelcast.util.executor.AbstractExecutorThreadFactory

      `newThread`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolExecutorThreadFactory

          public PoolExecutorThreadFactory(String threadNamePrefix,
                                           ClassLoader classLoader)

  - ### Method Detail

    - #### createThread

          protected Thread createThread(Runnable r)

      Specified by:
        `createThread` in class `AbstractExecutorThreadFactory`

    - #### createThread

          protected PoolExecutorThreadFactory.ManagedThread createThread(Runnable r,
                                                                         String name,
                                                                         int id)

Copyright © 2020. All rights reserved.